ClientesCuenta del cliente
Actualizar cliente
PATCH
/v1/customerActualizar cliente. Una solicitud exitosa devuelve HTTP 204 sin cuerpo de respuesta.
Autorización
bearerAuth AutorizaciónBearer <token>
Token de acceso OAuth 2.0 emitido por Ecomiq Auth.
Ubicación: header
Parámetros de cabecera
x-Store-Domain*string
Slug o dominio configurado que selecciona el contexto de tienda en el gateway central de Storefront.
Longitud
1 <= length <= 253Cuerpo de la solicitud
application/json
Definiciones TypeScript
Usa esta definición en TypeScript.
Cuerpo de la respuesta
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/v1/customer" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "firstName": "Andrea", "lastName": "Ramos", "phone": "+51987654321", "identificationNumber": "example", "identificationType": "example", "entityName": "Comercial Lima SAC", "entityIdentificationNumber": "example", "gender": "male" }'Vacío